Bind systemd socket activation to IPv6
03/31/2021 09:34 AM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: Packaging
Target version: 241
Difficulty: Fixed in Releases: 241,25.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/g421,
https://github.com/theforeman/foreman/p
https://github.com/theforeman/foreman/p
ull/8433
Description

By default foreman.socket binds to IPv4 only. This was done to make matching it in Puma easier, but it's not really what should be

done in 2021 where everything should be dual stack by default.

In #31431 the need for this matching in Puma was removed which makes it much more flexible. The default should be updated.

Note that the installer currently always overrides it so it's not really a difference for most, but | want to modify the installer to rely on

the default.

Given that this is not used by default, I'm setting this as a target for 2.4.1. It can't be picked to an earlier release since #31431 was

merged in 2.4.0. This really is fixing something that should have been part of it.

Related issues:
Related to Foreman - Feature #29144: Run Puma using systemd socket activation

Related to Foreman - Feature #31431: Use Puma 5.1's feature to synthesize sys...

Closed
Closed

Associated revisions

Revision 3347fa49 - 03/31/2021 06:25 PM - Ewoud Kohl van Wijngaarden
Fixes #32238 - Bind systemd socket to IPv6

By default foreman.socket binds to IPv4 only. This was done to make
matching it in Puma easier, but it's not really what should be done in
2021 where everything should be dual stack by default.

In aecc3187253ada61a311b5229d215452bd6d67b7 the need for this matching
in Puma was removed which makes it much more flexible. The default
should be updated.

Note that the installer currently always overrides it so it's not really

a difference for most, but | want to modify the installer to rely on the
default.

History

#1 - 03/31/2021 09:34 AM - Ewoud Kohl van Wijngaarden

- Related to Feature #29144: Run Puma using systemd socket activation added

#2 - 03/31/2021 09:35 AM - Ewoud Kohl van Wijngaarden
- Related to Feature #31431: Use Puma 5.1's feature to synthesize systemd socket binds added

#3 - 03/31/2021 09:37 AM - The Foreman Bot
https://projects.theforeman.org/issues/31431
https://projects.theforeman.org/issues/31431

- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/8421 added

#4 - 03/31/2021 06:25 PM - The Foreman Bot
- Fixed in Releases 2.5.0 added

#5 - 03/31/2021 07:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|3347fa49d500964f0209122d8d36c920d1feafcc.

#6 - 04/07/2021 10:58 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8432 added

#7 - 04/07/2021 10:58 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8433 added

#8 - 05/10/2021 01:37 PM - Tomer Brisker
- Fixed in Releases 2.4.1 added
